cgGLSetParameter1f(3)

NAME
cgGLSetParameter1f - set the values of a scalar or vector parameter

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLSetParameter1f( CGparameter param,
                           float x );

PARAMETERS

param
    The parameter that will be set.

x   The value to which param will be set.

RETURN VALUES
None.

DESCRIPTION
cgGLSetParameter1f sets the value of a scalar or vector parameter.

cgGLSetParameter1f may be called with uniform or varying parameters. When called with a varying parameter, the appropriate immediate mode OpenGL entry point will be called. However, the cgGLGetParameter functions only work with uniform parameters.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

HISTORY
cgGLSetParameter1f was introduced in Cg 1.1.

SEE ALSO
cgGLGetParameter, cgGLSetParameterArray, cgGLSetMatrixParameter, cgGLSetMatrixParameterArray, cgGLSetTextureParameter, cgGLSetTextureParameterArray, cgGLBindProgram